<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>BiomeCommands (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BiomeCommands (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/command/ApplyBrushCommands.html" title="class in com.sk89q.worldedit.command"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/command/BrushCommands.html" title="class in com.sk89q.worldedit.command"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/command/BiomeCommands.html" target="_top">Frames</a></li>
<li><a href="BiomeCommands.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.command</div>
<h2 title="Class BiomeCommands" class="title">Class BiomeCommands</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.command.BiomeCommands</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">BiomeCommands</span>
extends java.lang.Object</pre>
<div class="block">Implements biome-related commands such as "/biomelist".</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/BiomeCommands.html#BiomeCommands--">BiomeCommands</a></span>()</code>
<div class="block">Create a new instance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/BiomeCommands.html#biomeInfo-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-boolean-boolean-">biomeInfo</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
         <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
         boolean&nbsp;useLineOfSight,
         boolean&nbsp;usePosition)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/BiomeCommands.html#biomeList-com.sk89q.worldedit.extension.platform.Actor-int-">biomeList</a></span>(<a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor,
         int&nbsp;page)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/BiomeCommands.html#setBiome-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-com.sk89q.worldedit.world.biome.BiomeType-boolean-">setBiome</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
        <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
        <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
        <a href="../../../../com/sk89q/worldedit/world/biome/BiomeType.html" title="class in com.sk89q.worldedit.world.biome">BiomeType</a>&nbsp;target,
        boolean&nbsp;atPosition)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BiomeCommands--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BiomeCommands</h4>
<pre>public&nbsp;BiomeCommands()</pre>
<div class="block">Create a new instance.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="biomeList-com.sk89q.worldedit.extension.platform.Actor-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>biomeList</h4>
<pre>public&nbsp;void&nbsp;biomeList(<a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor,
                      @ArgFlag(name=112,desc="Page number.",def="1")
                      int&nbsp;page)</pre>
</li>
</ul>
<a name="biomeInfo-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>biomeInfo</h4>
<pre>public&nbsp;void&nbsp;biomeInfo(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                      <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                      @Switch(name=116,desc="Use the block you are looking at.")
                      boolean&nbsp;useLineOfSight,
                      @Switch(name=112,desc="Use the block you are currently in.")
                      boolean&nbsp;usePosition)
               throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="setBiome-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-com.sk89q.worldedit.world.biome.BiomeType-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setBiome</h4>
<pre>public&nbsp;void&nbsp;setBiome(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                     <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                     <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
                     @Arg(desc="Biome type.")
                     <a href="../../../../com/sk89q/worldedit/world/biome/BiomeType.html" title="class in com.sk89q.worldedit.world.biome">BiomeType</a>&nbsp;target,
                     @Switch(name=112,desc="Use your current position")
                     boolean&nbsp;atPosition)
              throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/command/ApplyBrushCommands.html" title="class in com.sk89q.worldedit.command"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/command/BrushCommands.html" title="class in com.sk89q.worldedit.command"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/command/BiomeCommands.html" target="_top">Frames</a></li>
<li><a href="BiomeCommands.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
